import type { NextPage } from 'next';
import { useRouter } from 'next/router';
import { useContext, useEffect } from 'react';
import { LoggedUserContext } from '../contexts/LoggedUserContext';
import { getToken } from '../utils/login';

const Home: NextPage = () => {
    const { role } = useContext(LoggedUserContext);
    const router = useRouter();

    useEffect(() => {
        async function checkToken() {
            let token = await getToken();
            if ((await getToken()) === '') {
                router.push('/login');
            } else {
                if (role === 'ADMINISTRATOR') {
                    router.push('/documents/admin');
                } else if (role === 'ANNOTATOR') {
                    router.push('/documents/annotator');
                }
            }
        }

        checkToken();
    }, [role, router]);

    return null;
};

export default Home;
